package com.ruoyi.system.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.system.domain.*;
import com.ruoyi.system.dto.*;
import com.ruoyi.system.paramet.*;

import javax.servlet.http.HttpServletResponse;
import java.util.Date;
import java.util.List;


public interface AchievementService {


    Page<TaskResult> queryAchievement(AchievementQuery achievementQuery);

    TaskResult queryAchievementByTaskid(String taskid);

    Page<WaterLevelDTO> getWaterLevelList(WaterLevelQuery waterLevelQuery);

    void downAchievement(Long result_id, HttpServletResponse response);

    List<TaskResultSortDTO> getScatterPlot(ScattperPlotQuery scattperPlotQuery);

    void downWaterLevel(Long siteId, Long type, String startTime, String endTime, HttpServletResponse response);

    void downScatterPlot(Long siteId, String startTime, String endTime, HttpServletResponse response);

}
